Subject: RE: bug#34357: Non-Emacs feeling

From: Drew Adams <[email-masked]>
Date: Wed, 6 Feb 2019 23:56:48 +0000 (UTC)

> > 1: Since some versions you cannot autocomplete the buffer you are
> > visiting any more: A typical use-case is that you want to visit the
> > buffer you are editing in another window, like after C-x 4 b. Now you
> > must completely type the buffer name, an absolute mis-feature!
> 
> This is https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__debbugs.gnu.org_12916&d=DwIBAg&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB6
> 5eapI_JnE&r=kI3P6ljGv6CTHIKju0jqInF6AOwMCYRDQUmqX22rJ98&m=KmSwmwbI8AAJl
> Oeq0ixSIDteKnpu_Cha09EMxTOdtl0&s=78IdDq_cMz2KFaVL2WvB8YLpc83ztMnbuI4HPQ
> WJ--s&e= and bug#9598. You will find
> discussion there.
> 
> > 2: When long lines are being displayed, mark up and down do not
> change
> > the position to the next logical line (as defined by the buffer), but
> > to the displayed line (subject to screen and font size). If you are
> at
> > the beginning of a long line, and you want to move to the next line
> > (maybe to insert something), this "change" is a nightmare. I know it
> > can be customized, but why is the incompatible stupid setting the new
> > default?
> 
> This changed in Emacs 23.1. I'm sure if you search mailing lists you
> will find discussions from around that time. It was 10 years ago.
> 
> 
> With that, I'm closing this report.

Why not consider #1 to be an _enhancement request_ to
add a user option expressing the behavior preference
(i.e. whether `C-x b' offers the current buffer as one
of the completion candidates).

A user requests an alternate behavior - a behavior that
is not difficult to realize.  S?he's entitled to file
an enhancement request for that.  Just because Emacs
currently has some behavior that does not mean that
someone can't request a change to optionally allow a
different behavior.  And the use case presented seems
reasonable.